| Edinburgh Speech Tools Library |
--- | --- | ---
Prev | Chapter 3. Executable Programs | Next

# scfg_test Test the output of a parser

## Synopsis

scfg_test [options] [-grammar `ifile`] [-corpus `ifile`] [-crossbrackets ] [-heap `int` " {210000}"] [-o `ofile`]

This program applies a stochastic context free grammar to a given corpus and reports the parsing accuracy and cross bracketing accuracy of the grammar with respect to the grammar.

## OPTIONS

> -grammar | `ifile` Grammar file, one rule per line.
> -corpus | `ifile` Single Corpus file, one bracketed sentence per line.
> -crossbrackets | Measure cross bracket performance.
> -heap | `int` " {210000}" Set size of Lisp heap, needed for large corpora
> -o | `ofile` Output file for parsed sentences.

Prev | Home | Next
scfg_parse Parse text using a pre-trained stochastic context free grammar | Up | siod Scheme Interpreter